Bug 1093517 - [abrt] youtube-dl: httplib.py:953:putheader:UnicodeEncodeError: 'ascii' codec can't encode character u'\ufeff' in position 0: ordinal not in range(128)
Summary: [abrt] youtube-dl: httplib.py:953:putheader:UnicodeEncodeError: 'ascii' codec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4aec65c2747304882dd53be40ba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-02 00:19 UTC by majhoul
Modified: 2015-03-08 22:49 UTC (History)
3 users (show)

Fixed In Version: youtube-dl-2015.02.18.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 08:02:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.58 KB, text/plain)
2014-05-02 00:19 UTC, majhoul
no flags Details
File: environ (3.42 KB, text/plain)
2014-05-02 00:19 UTC, majhoul
no flags Details

Description majhoul 2014-05-02 00:19:07 UTC
Description of problem:
# ./youtube_downloader.sh
with URL = http://youtu.be/wUflH1gXr0E

Version-Release number of selected component:
youtube-dl-2014.04.11.1-1.fc19

Additional info:
reporter:       libreport-2.2.1
cmdline:        python /usr/bin/youtube-dl '\xef\xbb\xbfhttp://youtu.be/wUflH1gXr0E'
dso_list:       python-libs-2.7.5-9.fc19.x86_64
executable:     /usr/bin/youtube-dl
kernel:         3.13.9-100.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
httplib.py:953:putheader:UnicodeEncodeError: 'ascii' codec can't encode character u'\ufeff' in position 0: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/bin/youtube-dl/__main__.py", line 18, in <module>
    youtube_dl.main()
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 837, in main
    _real_main(argv)
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 827, in _real_main
    retcode = ydl.download(all_urls)
  File "/usr/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 1036, in download
    self.extract_info(url)
  File "/usr/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 525, in extract_info
    return self.process_ie_result(ie_result, download, extra_info)
  File "/usr/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 569, in process_ie_result
    extra_info=extra_info)
  File "/usr/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 514, in extract_info
    ie_result = ie.extract(url)
  File "/usr/bin/youtube-dl/youtube_dl/extractor/common.py", line 161, in extract
    return self._real_extract(url)
  File "/usr/bin/youtube-dl/youtube_dl/extractor/generic.py", line 346, in _real_extract
    response = self._send_head(url)
  File "/usr/bin/youtube-dl/youtube_dl/extractor/generic.py", line 298, in _send_head
    response = opener.open(HEADRequest(url))
  File "/usr/lib64/python2.7/urllib2.py", line 404, in open
    response = self._open(req, data)
  File "/usr/lib64/python2.7/urllib2.py", line 422, in _open
    '_open', req)
  File "/usr/lib64/python2.7/urllib2.py", line 382, in _call_chain
    result = func(*args)
  File "/usr/lib64/python2.7/urllib2.py", line 1216, in http_open
    return self.do_open(httplib.HTTPConnection, req)
  File "/usr/lib64/python2.7/urllib2.py", line 1183, in do_open
    h.request(req.get_method(), req.get_selector(), req.data, headers)
  File "/usr/lib64/python2.7/httplib.py", line 973, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.7/httplib.py", line 1006, in _send_request
    self.putheader(hdr, value)
  File "/usr/lib64/python2.7/httplib.py", line 953, in putheader
    hdr = '%s: %s' % (header, '\r\n\t'.join([str(v) for v in values]))
UnicodeEncodeError: 'ascii' codec can't encode character u'\ufeff' in position 0: ordinal not in range(128)

Local variables in innermost frame:
header: 'Host'
self: <httplib.HTTPConnection instance at 0x222e248>
values: (u'\ufeffhttp:',)
v: u'\ufeffhttp:'

Comment 1 majhoul 2014-05-02 00:19:13 UTC
Created attachment 891647 [details]
File: backtrace

Comment 2 majhoul 2014-05-02 00:19:16 UTC
Created attachment 891648 [details]
File: environ

Comment 3 Fedora End Of Life 2015-01-09 21:20:36 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora Update System 2015-02-10 12:23:01 UTC
youtube-dl-2015.02.10.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.10.4-1.fc21

Comment 5 Fedora Update System 2015-02-10 12:23:09 UTC
youtube-dl-2015.02.10.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.10.4-1.fc20

Comment 6 Fedora Update System 2015-02-10 12:23:15 UTC
youtube-dl-2015.02.10.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.10.4-1.el7

Comment 7 Fedora Update System 2015-02-14 02:54:59 UTC
Package youtube-dl-2015.02.10.4-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing youtube-dl-2015.02.10.4-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0760/youtube-dl-2015.02.10.4-1.el7
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-02-16 12:50:27 UTC
youtube-dl-2015.02.11-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.11-1.el7

Comment 9 Fedora Update System 2015-02-16 12:55:04 UTC
youtube-dl-2015.02.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.11-1.fc20

Comment 10 Fedora Update System 2015-02-17 08:02:50 UTC
youtube-dl-2015.02.10.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-02-18 14:23:10 UTC
youtube-dl-2015.02.18.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.18.1-1.el7

Comment 12 Fedora Update System 2015-02-18 14:25:20 UTC
youtube-dl-2015.02.18.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/youtube-dl-2015.02.18.1-1.fc20

Comment 13 Fedora Update System 2015-02-21 04:25:15 UTC
youtube-dl-2015.02.18.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-03-08 22:49:19 UTC
youtube-dl-2015.02.18.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.